import AppInfo from '../../../src/pages/api-client/AppInfo.js';
import StoreConfigScreen from '../../../src/pages/api-client/StoreConfig.screen.js';
import { WebStoreBindings } from '../../../src/bindings/web/WebStoreBindings.js';
import { WebConfigurationBindings } from '../../../src/bindings/web/WebConfigurationBindings.js';

const configWorkerUri = new URL('/demo/lib/io/AppConfig.ts', import.meta.url).toString();

(async (): Promise<void> => {
  const page = new StoreConfigScreen({
    store: new WebStoreBindings(AppInfo, `http://localhost:8550/v1`),
    config: new WebConfigurationBindings(AppInfo, configWorkerUri),
  });
  await page.initialize();
})();
